## SeahorseSetModel

SeahorseSetModel

## Synopsis

                        SeahorseSetModelColumn;
                        SeahorseSetModel;
    SeahorseSetModel*   seahorse_set_model_new              (SeahorseSet *set,
                                                             ...);
    SeahorseSetModel*   seahorse_set_model_new_full         (SeahorseSet *set,
                                                             const SeahorseSetModelColumn *columns,
                                                             guint n_columns);
    gint                seahorse_set_model_set_columns      (SeahorseSetModel *smodel,
                                                             const SeahorseSetModelColumn *columns,
                                                             guint n_columns);
    SeahorseObject*     seahorse_set_model_object_for_iter  (SeahorseSetModel *smodel,
                                                             const GtkTreeIter *iter);
    gboolean            seahorse_set_model_iter_for_object  (SeahorseSetModel *smodel,
                                                             SeahorseObject *object,
                                                             GtkTreeIter *iter);

## Description

## Details

### SeahorseSetModelColumn

    typedef struct {
    	const gchar *property;
    	GType type;
    	gpointer data;
    } SeahorseSetModelColumn;

### SeahorseSetModel

    typedef struct {
    	GObject parent;
    	SeahorseSet *set;
    } SeahorseSetModel;

A GtkTreeModel which represents all objects in a SeahorseSet

GObject `parent`; | GObject SeahorseSetModel inherits from
SeahorseSet *`set`; | SeahorseSet that belongs to the model

### seahorse_set_model_new ()

    SeahorseSetModel*   seahorse_set_model_new              (SeahorseSet *set,
                                                             ...);

`set` : |
`...` : |
Returns : |

### seahorse_set_model_new_full ()

    SeahorseSetModel*   seahorse_set_model_new_full         (SeahorseSet *set,
                                                             const SeahorseSetModelColumn *columns,
                                                             guint n_columns);

`set` : |
`columns` : |
`n_columns` : |
Returns : |

### seahorse_set_model_set_columns ()

    gint                seahorse_set_model_set_columns      (SeahorseSetModel *smodel,
                                                             const SeahorseSetModelColumn *columns,
                                                             guint n_columns);

`smodel` : |
`columns` : |
`n_columns` : |
Returns : |

### seahorse_set_model_object_for_iter ()

    SeahorseObject*     seahorse_set_model_object_for_iter  (SeahorseSetModel *smodel,
                                                             const GtkTreeIter *iter);

`smodel` : |
`iter` : |
Returns : |

### seahorse_set_model_iter_for_object ()

    gboolean            seahorse_set_model_iter_for_object  (SeahorseSetModel *smodel,
                                                             SeahorseObject *object,
                                                             GtkTreeIter *iter);

`smodel` : |
`object` : |
`iter` : |
Returns : |